• 10 dec 2017: forum version update. In case of issues use this topic.
  • 30 nov 2017: pilight moved servers. In case of issues use this topic.
Hello There, Guest! Login Register


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Wich Version to use
#1
Hi out there...

I am a little bit confused.

I used the development branch all the time. I changed all Config rules to the new 7.x Dev-behavior
Code:
Old behavior were we needed the IS operator because the comparison was non-nummeric
1
IF switch.state IS on THEN ...
New behavior is that we don't have to worry about this anymore and can just use the == operator
1
IF switch.state == on THEN ...
Today, I did apt update/upgrade and got pilight 8.0.3 installed and my config didn´t work, because changes made in rewrite backports don´t apply;-(

Of Course, I can backroll to 7.x Dev, but I like to follow latest updates.

So, here´s my question: wich branch is the latest and newest? Wich branch should I follow?

I don´t see, why there is a difference between 7.x Dev and 8.x, or, in other words, why is the latest dev not 8.x?
 
Reply
#2
The current version 8 is behind the current dev version 7. Don't ask me to explain it Smile
 
Reply
  


Possibly Related Threads...
Thread Author Replies Views Last Post
  new config in version 8.1.5 ? fleisch 1 154 07-19-2020, 08:12 AM
Last Post: curlymo
  Increased CPU usage with version 8.1.5 wimThoelke 13 1,854 08-07-2019, 08:38 PM
Last Post: curlymo
  Development Version kniazio 8 4,245 01-23-2017, 12:05 AM
Last Post: wo_rasp
  Development version \ kaku_dimmer Nelus82 2 2,215 03-18-2014, 02:33 PM
Last Post: Nelus82

Forum Jump:


Browsing: 1 Guest(s)